@import url("https://fonts.cdnfonts.com/css/perfect-dos-vga-437");

/* Colors */
:root {
  --green: #0f0; /* terminal green */
}

/* Margins */
.m-1 {
  margin-top: 30px;
}

.m-box {
  margin-bottom: 50px;
}

.p-20 {
  padding: 20px !important;
}

.mb-10 {
  margin-bottom: 20px !important;
}

/* General styles */
.accent {
  color: var(--green);
}

body {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background-image: url("img/bg.png");
  color: white;
  font-family: "Perfect DOS VGA 437", serif;
}

.layout {
  display: flex;
  width: 90%;
  height: 100%;
  column-gap: 20px;
  align-items: flex-start;
}

.sidebar {
  width: 220px;
  background: #111;
  color: #0f0;
  padding: 20px;
  font-family: "Perfect DOS VGA 437", monospace;
}

aside {
  border: 1px solid var(--green);
}

.content {
  flex: 1;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background-image: url("img/bg.png");
  color: white;
  font-family: "Perfect DOS VGA 437", serif;
}

.ascii-art {
  font-family: "Perfect DOS VGA 437", serif;
  font-size: 16px;
  line-height: 16px;
  color: white;
  margin-top: 50px;
}

.cathacker {
  position: fixed;
  bottom: 0;
  right: 5px;
  width: 10vw;
  height: auto;
  transform: scaleX(-1);
  z-index: 1000;
}

.container {
  width: 90%;
}

.block {
  padding: 0 20px;
  text-align: center;
  border: 1px solid white;
  padding-top: 30px;
  margin-bottom: 20px;
}

.blinkies > img {
  height: 30px;
}

.blinkies {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 10px;
}

#chattable {
  width: 100%;
  height: 400px;
  border: none;
}

.pflag {
  width: 50px;
  margin: 0 20px;
  vertical-align: middle;
}

marquee > img {
  height: 56px;
}

.flex {
  display: flex;
  align-items: strech;
  gap: 20px;
}

.flex img {
  max-width: 100%;
  height: 100%;
  object-fit: cover;
}

.flimg {
  max-width: none !important;
  height: 100%;
  object-fit: cover;
}

.m-block {
  margin-top: 13px;
}

.button {
  width: 30vw;
  height: 40px;
  border: 1px solid var(--green);
  font-family: "Perfect DOS VGA 437", serif;
  color: var(--green);
  background-color: transparent;
}

.aic {
  align-items: center;
}

.link {
  color: var(--green);
  text-decoration: none;
}